curl --request GET \
--url 'https://api.stateset.com/api/v1/carts' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"carts": [
{
"cart_number": "string",
"created_at": "string",
"currency": "string",
"customer_email": null,
"customer_id": null,
"discount_amount": "string",
"grand_total": "string",
"id": "string",
"items": [],
"order_id": null,
"order_number": null,
"payment_method": null,
"shipping_amount": "string",
"shipping_method": null,
"status": "string",
"subtotal": "string",
"tax_amount": "string"
}
],
"total": 1
}
List carts
GET
/
api
/
v1
/
carts
curl --request GET \
--url 'https://api.stateset.com/api/v1/carts' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"carts": [
{
"cart_number": "string",
"created_at": "string",
"currency": "string",
"customer_email": null,
"customer_id": null,
"discount_amount": "string",
"grand_total": "string",
"id": "string",
"items": [],
"order_id": null,
"order_number": null,
"payment_method": null,
"shipping_amount": "string",
"shipping_method": null,
"status": "string",
"subtotal": "string",
"tax_amount": "string"
}
],
"total": 1
}
Query parameters
string
string
string
One of
active, ready_for_payment, payment_pending, completed,
abandoned, expired, cancelled.integer (int32)
integer (int32)
Responses
CartListResponse
ErrorBody
curl --request GET \
--url 'https://api.stateset.com/api/v1/carts' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"carts": [
{
"cart_number": "string",
"created_at": "string",
"currency": "string",
"customer_email": null,
"customer_id": null,
"discount_amount": "string",
"grand_total": "string",
"id": "string",
"items": [],
"order_id": null,
"order_number": null,
"payment_method": null,
"shipping_amount": "string",
"shipping_method": null,
"status": "string",
"subtotal": "string",
"tax_amount": "string"
}
],
"total": 1
}
โI